No estas registrado.

#1 2015-09-25 17:46:12

hzelaya
Tuxes
Registrado: 2015-09-25
Mensajes: 3

[RESUELTO] Error de bzip2 en actualización de debian lenny

Hola.

Estoy intentando actualizar un servidor con debian lenny, pero al hacer apt-update obtengo lo siguiente:

deb http://archive.debian.org/debian/ lenny main contrib non-free
puenteSGB:~# apt-get update
Des:1 http://archive.debian.org lenny Release.gpg [1034B]
Des:2 http://archive.debian.org lenny/main Translation-es
99% [2 Translation-es bzip2 0] [Esperando las cabeceras]bzip2: (stdin) is not a bzip2 file.
Ign http://archive.debian.org lenny/main Translation-es 
Ign http://archive.debian.org lenny/contrib Translation-es
Ign http://archive.debian.org lenny/non-free Translation-es
Obj http://archive.debian.org lenny Release          
Des:3 http://archive.debian.org lenny/main Packages  
57% [3 Packages bzip2 0]bzip2: (stdin) is not a bzip2 file.
Err http://archive.debian.org lenny/main Packages
  El subproceso bzip2 devolvió un código de error (2)
Des:4 http://archive.debian.org lenny/contrib Packages
70% [4 Packages bzip2 0] [Esperando las cabeceras]bzip2: (stdin) is not a bzip2 file.
Err http://archive.debian.org lenny/contrib Packages
  El subproceso bzip2 devolvió un código de error (2)
Des:5 http://archive.debian.org lenny/non-free Packages
77% [5 Packages bzip2 0]bzip2: (stdin) is not a bzip2 file.
Err http://archive.debian.org lenny/non-free Packages
  El subproceso bzip2 devolvió un código de error (2)
Descargados 12.0kB en 3s (3082B/s)
W: No existe ninguna clave pública disponible para los siguientes identificadores de clave:
AED4B06F473041FA
W: Imposible obtener http://archive.debian.org/debian/dists/lenny/main/binary-i386/Packages.bz2  El subproceso bzip2 devolvió un código de error (2)

W: Imposible obtener http://archive.debian.org/debian/dists/lenny/contrib/binary-i386/Packages.bz2  El subproceso bzip2 devolvió un código de error (2)

W: Imposible obtener http://archive.debian.org/debian/dists/lenny/non-free/binary-i386/Packages.bz2  El subproceso bzip2 devolvió un código de error (2)

E: Algunos archivos de índice no se han podido descargar, se han ignorado,
o se ha utilizado unos antiguos en su lugar.

En la red a la que pertenece el servidor esta configurado un firewall, un proxy y un filtro de contenidos, por lo que imagino que el problema se deriva de algun bloqueo por parte de alguno de esos servicios, pero aun no tengo mucho conocimiento y no se que configuraciones debo aplicar para arreglar el problema.

Ultima edición por hzelaya (2015-09-29 11:29:22)

Desconectado

#2 2015-09-25 19:31:19

YukiteruAmano
SystemInside Staff
Desde: /home/yukiteru
Registrado: 2013-05-12
Mensajes: 1,049
Página Web

Re: [RESUELTO] Error de bzip2 en actualización de debian lenny

Pues viendo los errores puedo decir dos cosas:

1.- Tus archivos se descargan mal, por eso bzip falla a la hora de hacer la descomperesión y te devuelve ese código de error.

2.- Tienes problemas con el keyring, seguramente por algún cambio en ellas.

Pregunto, ¿Tienes mucho tiempo sin actualizar dicho server?


Dios en su Cielo, todo bien en la Tierra / God in his Heaven, all right in the Earth.

Desconectado

#3 2015-09-26 10:35:55

hzelaya
Tuxes
Registrado: 2015-09-25
Mensajes: 3

Re: [RESUELTO] Error de bzip2 en actualización de debian lenny

Hola. Gracias por responder.

De hecho si, el servidor tiene mucho tiempo de no actualizarse. Mi idea es actualizar de lenny a wheezy sin tener que reinstalar.

Desconectado

#4 2015-09-26 14:32:15

YukiteruAmano
SystemInside Staff
Desde: /home/yukiteru
Registrado: 2013-05-12
Mensajes: 1,049
Página Web

Re: [RESUELTO] Error de bzip2 en actualización de debian lenny

Mmmm bueno, yo probaria lo siguiennte trata de deshabilitar todos los filtros que tienes y has la actualizacion, si aún así te da fallo, busca la forma de actualizar ciertas utilerias básicas, entre ellas bzip.

Es posible que algún upgrade de bzip haya incluido algún cambio en las cabeceras de archivos y por ello te de ese error.

Lo otro que puede ser es que haya algún problema con el repositorio, pero seria muy raro, es cuestión de probar con una nueva sincronización y ver si todo sale bien.


Dios en su Cielo, todo bien en la Tierra / God in his Heaven, all right in the Earth.

Desconectado

#5 2015-09-26 15:59:17

elav
BOFH
Desde: SystemInside
Registrado: 2011-12-03
Mensajes: 1,313
Página Web

Re: [RESUELTO] Error de bzip2 en actualización de debian lenny

hzelaya escribió:

Hola. Gracias por responder.

De hecho si, el servidor tiene mucho tiempo de no actualizarse. Mi idea es actualizar de lenny a wheezy sin tener que reinstalar.

Creo que es lo mejor que puedes hacer. De hecho, te estás demorando demasiado. big_smile


”... Hacer uso de Software Libre es sentir entre tus manos, palpable y predecible, esa necesidad básica llamada Libertad al que todo ser humano aspira y que muchos por desconocimiento, o simplemente por no entenderlo, nunca podrán tener... ”

Desconectado

#6 2015-09-29 11:28:16

hzelaya
Tuxes
Registrado: 2015-09-25
Mensajes: 3

Re: [RESUELTO] Error de bzip2 en actualización de debian lenny

Muchas gracias por contestar. Revisando minuciosamente los servicios del firewall encontré que la extensión bz2 estaba bloqueada, al parecer no se había añadido este servidor a las excepciones por lo que no podía actualizarse. Marco el tema como resuelto

Ultima edición por hzelaya (2015-09-29 11:28:42)

Desconectado

#7 2015-09-29 19:07:34

YukiteruAmano
SystemInside Staff
Desde: /home/yukiteru
Registrado: 2013-05-12
Mensajes: 1,049
Página Web

Re: [RESUELTO] Error de bzip2 en actualización de debian lenny

Una cosa sencilla pero buena noticia que lo hayas resulto, cierro el tema.


Dios en su Cielo, todo bien en la Tierra / God in his Heaven, all right in the Earth.

Desconectado

Pie de página

Powered by FluxBB